function PD:UpdateValues()

	if self.db.char.damtype == "Arcane Damage" then
		dt = GetSpellBonusDamage(7);

	elseif self.db.char.damtype == "Attack Power" then
		local base, posBuff, negBuff = UnitAttackPower("player");
		dt = base + posBuff + negBuff;

	elseif self.db.char.damtype == "Fire Damage" then
		dt = GetSpellBonusDamage(3);

	elseif self.db.char.damtype == "Frost Damage" then
		dt = GetSpellBonusDamage(5);

	elseif self.db.char.damtype == "Healing Power" then
		dt = GetSpellBonusHealing();

	elseif self.db.char.damtype == "Holy Damage" then
		dt = GetSpellBonusDamage(2);

	elseif self.db.char.damtype == "Nature Damage" then
		dt = GetSpellBonusDamage(4);

	elseif self.db.char.damtype == "Physical Damage" then
		dt = GetSpellBonusDamage(1);

	elseif self.db.char.damtype == "Ranged AP" then
		local base, posBuff, negBuff = UnitRangedAttackPower("player");
		dt = base + posBuff + negBuff;

	elseif self.db.char.damtype == "Shadow Damage" then
		dt = GetSpellBonusDamage(6);

	elseif self.db.char.damtype == "Spell Damage" then
		local bonusDamage;
		local holySchool = 2;
		local minDamage = GetSpellBonusDamage(holySchool);
		this.bonusDamage = {};
		this.bonusDamage[holySchool] = minDamage;
		for i=(holySchool+1), 7 do
			bonusDamage = GetSpellBonusDamage(i);
			minDamage = min(minDamage, bonusDamage);
			this.bonusDamage[i] = bonusDamage;		
		end
		dt = minDamage;

	else
		dt = "Oops!";
		
	end
	
if not self.db.char.statone:find("^%%") then
	one = " "..self.db.char.statone;
else
	one = self.db.char.statone;
end

if not self.db.char.stattwo:find("^%%") then
	two = " "..self.db.char.stattwo;
else
	two = self.db.char.stattwo;
end

	s1 = self:UpdateStats(self.db.char.statone)..one
	s2 = self:UpdateStats(self.db.char.stattwo)..two;
	
	damag:SetText( dt )
	statone:SetText( s1 )
	stattwo:SetText( s2 )
end

function PD:UpdateStats(line)

	if line == "Arcane Resistance" then
		_,var,_,_ = UnitResistance("player",6);

	elseif line == "Armor" then
		_,var,_,_ = UnitResistance("player",0);

	elseif line == "Ranged Attack Speed" then
		local rangedAttackSpeed, _, _, _, _, _ = UnitRangedDamage("player");
		var = format("%.2f", rangedAttackSpeed);

	elseif line == "Fire Resistance" then
		_,var,_,_ = UnitResistance("player",2);

	elseif line == "Frost Resistance" then
		_,var,_,_ = UnitResistance("player",4);

	elseif line == "Holy Resistance" then
		_,var,_,_ = UnitResistance("player",1);

	elseif line == "Mainhand Attack Speed" then
		local speed, _ = UnitAttackSpeed("player");
		if not speed then
			speed = 0;
		end
		var = format("%.2f", speed);

	elseif line == "% Melee Crit Chance" then
		var = format("%.2f", GetCritChance());

	elseif line == "Melee Haste Rating" then
		var = GetCombatRating(18);

	elseif line == "% Melee Haste Rating" then
		var = format("%.2f", GetCombatRatingBonus(18));

	elseif line == "Melee Hit Rating" then
		var = GetCombatRating(6);

	elseif line == "% Melee Hit Rating" then
		var = format("%.2f", GetCombatRatingBonus(6));

	elseif line == "MP5" then
		local base, casting = GetManaRegen();
		var = math.floor(base*5).."/"..math.floor(casting*5);

	elseif line == "Nature Resistance" then
		_,var,_,_ = UnitResistance("player",3);

	elseif line == "Offhand Attack Speed" then
		local _, speed = UnitAttackSpeed("player");
		if not speed then
			speed = 0;
		end
		var = format("%.2f", speed);

	elseif line == "% Ranged Crit Chance" then
		var = format("%.2f", GetRangedCritChance());

	elseif line == "Ranged Haste Rating" then
		var = GetCombatRating(19);

	elseif line == "% Ranged Haste Rating" then
		var = format("%.2f", GetCombatRatingBonus(19));

	elseif line == "Ranged Hit Rating" then
		var = GetCombatRating(7);

	elseif line == "% Ranged Hit Rating" then
		var = format("%.2f", GetCombatRatingBonus(7));

	elseif line == "Resilience" then
		local melee = GetCombatRating(CR_CRIT_TAKEN_MELEE);
		local ranged = GetCombatRating(CR_CRIT_TAKEN_RANGED);
		local spell = GetCombatRating(CR_CRIT_TAKEN_SPELL);
		local minResilience = min(melee, ranged);
		var = min(minResilience, spell);

	elseif line == "Shadow Resistance" then
		_,var,_,_ = UnitResistance("player",5);

	elseif line == "% Spell Crit Chance" then
		local spellCrit;
		local holySchool = 2;
		local minCrit = GetSpellCritChance(holySchool);
		this.spellCrit = {};
		this.spellCrit[holySchool] = minCrit;
		for i=(holySchool+1), 7 do
			spellCrit = GetSpellCritChance(i);
			minCrit = min(minCrit, spellCrit);
			this.spellCrit[i] = spellCrit;		
		end
		var = format("%.2f", minCrit);

	elseif line == "Spell Haste Rating" then
		var = GetCombatRating(20);

	elseif line == "% Spell Haste Rating" then
		var = format("%.2f", GetCombatRatingBonus(20));

	elseif line == "Spell Hit Rating" then
		var = GetCombatRating(8);

	elseif line == "% Spell Hit Rating" then
		var = format("%.2f", GetCombatRatingBonus(8));

	else
		var = "Please update your settings.";

	end
	return var
end

function PD:UpdateText()
	typed:SetText( self.db.char.damtype )
end
